Token payroll

Create Token Payroll

Creates a token payroll for an existing payroll entity with the given period, pay date and currency.

POSThttps://api.toku.com/stablecoin-payroll/create-token-payroll

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/create-token-payroll' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payPeriodStart": "2026-01-01T00:00:00Z",
  "payPeriodEnd": "2026-01-01T00:00:00Z",
  "payDate": "2026-01-01T00:00:00Z",
  "fiatCurrency": "TRY",
  "payrollEntityId": "string",
  "externalPayrollID": "string",
  "type": "ON_CYCLE",
  "state": "DRAFT"
}'
200 response
{
  "tokenPayroll": {
    "tokenPayrollID": "string",
    "orgID": "string",
    "payPeriodStart": "string",
    "payPeriodEnd": "string",
    "payDate": "string",
    "externalPayrollID": "string",
    "fiatCurrency": "string",
    "payrollEntityId": "string",
    "state": "string",
    "type": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "payrollEntity": {
      "payrollEntityID": "string",
      "name": "string",
      "reportingCurrency": "string",
      "country": "string"
    }
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payPeriodStartstring<date-time>required
payPeriodEndstring<date-time>required
payDatestring<date-time>required
fiatCurrencystringrequired

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB

payrollEntityIdstringrequired

Allowed: 1 to 200 characters

externalPayrollIDstring

Allowed: 1 to 200 characters

typestring

Available options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT

statestring

Available options: DRAFT, PENDING, OVERDUE, LOCKED, IN_PROGRESS, APPROVED, COMPLETED, CANCELLED

Response

200Successful response
tokenPayrollobjectrequired
Show child attributes
tokenPayrollIDstringrequired
orgIDstringrequired
payPeriodStartstringrequired
payPeriodEndstringrequired
payDatestringrequired
externalPayrollIDstring | nullrequired
fiatCurrencystringrequired
payrollEntityIdstring | nullrequired
statestringrequired
typestringrequired
createdAtstringrequired
updatedAtstringrequired
payrollEntityobject | nullrequired
Show child attributes
payrollEntityIDstringrequired
namestringrequired
reportingCurrencystringrequired
countrystringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits